[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[tor-commits] [tor/master] Fix SC2064 warning



commit 9e04a8722081cd761ee3a2e173b53c7859a8c916
Author: rl1987 <rl1987@xxxxxxxxxxxxxxxx>
Date:   Wed Apr 3 17:58:05 2019 +0300

    Fix SC2064 warning
---
 src/test/test_key_expiration.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 6e4991994..8614a4fa4 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -60,7 +60,7 @@ if [ ! -d "$DATA_DIR" ]; then
   echo "Failure: mktemp invocation result doesn't point to directory" >&2
   exit 3
 fi
-trap "rm -rf '$DATA_DIR'" 0
+trap 'rm -rf "$DATA_DIR"' 0
 
 # Use an absolute path for this or Tor will complain
 DATA_DIR=$(cd "${DATA_DIR}" && pwd)



_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits